array_cat(3)

NAME
array_cat - append one array to another

SYNTAX
#include <libowfat/array.h>

void array_cat(array* x,array* y);

  array x;
  array y;
  array_cat(&x,&y);

DESCRIPTION
array_cat appends y to x; i.e., it changes x, allocating more space if necessary, so that the initialized bytes in x are the previously initialized bytes in x followed by a copy of the initialized bytes in y.

If x has failed, array_cat has no effect.

If y has failed, array_cat switches x to have failed.

If not enough memory is available, array_cat switches x to have failed.

SEE ALSO
array_allocate(3), array_get(3), array_fail(3), array_reset(3), array_catb(3), array_cats(3), array_cats0(3), array_cate(3)